'use strict';
/**
 * wxRequest.js
 * Promise封装对象
 * add by LQ DateTime 2020-04-26
 */
function wxPromise(method,url,data){
  return new Promise(function(resolve,reject){
    wx.request({
      url: url,
      method:method,
      data:data,
      header:{'content-type': 'application/x-www-form-urlencoded'},
      success:function(res){

        // setTimeout(function () {
        //   wx.hideLoading();
        // }, 100);
         resolve(res.data);
        // if(res.code==1){
        //   resolve(res);
        // }else{
        //   wx.showModal({
        //     title: '提示',
        //     content: res.msg + '系统异常',
        //     confirmColor: '#118EDE',
        //     showCancel: false,
        //     success: function (res) {
        //       if (res.confirm) {
        //       }
        //     }
        //   });
        // }
      },fail:function(res){
        setTimeout(function () {
          wx.hideLoading();
        }, 100);
        wx.showToast({
          title: '服务器暂时无法连接',
          icon: 'loading',
          duration: 2000
        })
        reject(res);
      }
    })
  })
}
var timestamp = (new Date()).valueOf();
/**
 * get请求方法
 */
function getRequest(url, data){
  var src= url+'/time_s/'+ timestamp;
  return wxPromise("GET", src, data);
}
/**
 * post请求方法
 */
function postRequest(url, data){
  var src= url+'/time_s/'+ timestamp;
  return wxPromise("POST", src, data);
}  
/**
 * post请求方法(无时间戳)
 */
function postRequestN(url, data){
  return wxPromise("POST", url, data);
}
module.exports={
  wxPromise: wxPromise,
  postRequest: postRequest,
  getRequest: getRequest,
  postRequestN:postRequestN
}